Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# ExCCommand Class Reference

`#include <ExCCommand.h>`

## Public Methods
| ExCCommand ()
| ExCCommand (int Command)
| ExCCommand (const ExCCommand &Command)
| ExCCommand (int Command, int MousePosX, int MousePosY)
| ~ExCCommand ()
## Data Fields
int | m_Command
int | m_MousePosx
int | m_MousePosy

## Constructor & Destructor Documentation

ExCCommand | ( |  | ) |

| Definition at line 6 of file ExCCommand.cpp. References m_Command, m_MousePosx, and m_MousePosy.
    00007 {
    00008         m_Command=NO_INPUT;
    00009         m_MousePosx=0;
    00010         m_MousePosy=0;
    00011 }

ExCCommand | ( | int | Command | ) |

| Definition at line 17 of file ExCCommand.cpp. References m_Command, m_MousePosx, and m_MousePosy.
    00018 {
    00019         m_Command=Command;
    00020         m_MousePosx=0;
    00021         m_MousePosy=0;
    00022 }

ExCCommand | ( | const ExCCommand & | Command | ) |

| Definition at line 31 of file ExCCommand.cpp. References m_Command, m_MousePosx, and m_MousePosy.
    00032 {
    00033         m_Command=Command.m_Command;
    00034         m_MousePosx=Command.m_MousePosx;
    00035         m_MousePosy=Command.m_MousePosy;
    00036 }

ExCCommand | ( | int | Command,
|  | int | MousePosX,
|  | int | MousePosY
| ) |

| Definition at line 24 of file ExCCommand.cpp. References m_Command, m_MousePosx, and m_MousePosy.
    00025 {
    00026         m_Command=Command;
    00027         m_MousePosx=MousePosX;
    00028         m_MousePosy=MousePosY;
    00029 }

~ExCCommand | ( |  | ) |

| Definition at line 13 of file ExCCommand.cpp.
    00014 {
    00015 }

## Field Documentation

int m_Command

| Definition at line 64 of file ExCCommand.h. Referenced by ExCCommand(), ExManagerModel::InputCommand(), ExManagerMenu::InputCommand(), ExManagerConsole::InputCommand(), and ExManagerCommand::ProcessCommand().

int m_MousePosx

| Definition at line 65 of file ExCCommand.h. Referenced by ExCCommand().

int m_MousePosy

| Definition at line 66 of file ExCCommand.h. Referenced by ExCCommand().

The documentation for this class was generated from the following files:

- ExCCommand.h
- ExCCommand.cpp